Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.helpers.persist
Class SqlField

    java.lang.Object
      org.jboss.soa.esb.helpers.persist.SqlField

    public class SqlField

extends java.lang.Object

Constructor Summary
`SqlField(java.lang.String pFldName, java.lang.Class pJavaType, int pSqlType, int pFieldLength, boolean pk)`

Method Summary
`java.lang.String` | `getFieldName()`
`java.lang.Class` | `getJavaType()`
`int` | `getSqlLength()`
`int` | `getSqlType()`
`boolean` | `isPrimaryKey()`
`void` | `setFieldName(java.lang.String pFieldName)`
`void` | `setJavaType(java.lang.Class pJavaType)`
`void` | `setPrimaryKey(boolean pPrimaryKey)`
`void` | `setSqlLength(int pSqlLength)`
`void` | `setSqlType(int pSqlType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SqlField

    public SqlField(java.lang.String pFldName,
                    java.lang.Class pJavaType,
                    int pSqlType,
                    int pFieldLength,
                    boolean pk)

Method Detail

### getSqlType

    public int getSqlType()

### getJavaType

    public java.lang.Class getJavaType()

### getSqlLength

    public int getSqlLength()

### getFieldName

    public java.lang.String getFieldName()

### isPrimaryKey

    public boolean isPrimaryKey()

### setSqlType

    public void setSqlType(int pSqlType)

### setJavaType

    public void setJavaType(java.lang.Class pJavaType)

### setSqlLength

    public void setSqlLength(int pSqlLength)

### setFieldName

    public void setFieldName(java.lang.String pFieldName)

### setPrimaryKey

    public void setPrimaryKey(boolean pPrimaryKey)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD